package cn.ibizlab.humanresource.core.pcm.filter;

import java.math.BigDecimal;
import java.math.BigInteger;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;

import lombok.*;
import lombok.extern.slf4j.Slf4j;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.fastjson.annotation.JSONField;

import org.springframework.util.ObjectUtils;
import org.springframework.util.StringUtils;


import cn.ibizlab.humanresource.util.filter.QueryWrapperContext;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import cn.ibizlab.humanresource.core.pcm.domain.HRTransferApply;
/**
 * 关系型数据实体[HRTransferApply] 查询条件对象
 */
@Slf4j
@Data
public class HRTransferApplySearchContext extends QueryWrapperContext<HRTransferApply> {

	private String n_hrtransferapplyname_like;//[调动申请名称]
	public void setN_hrtransferapplyname_like(String n_hrtransferapplyname_like) {
        this.n_hrtransferapplyname_like = n_hrtransferapplyname_like;
        if(!ObjectUtils.isEmpty(this.n_hrtransferapplyname_like)){
            this.getSearchCond().like("hrtransferapplyname", n_hrtransferapplyname_like);
        }
    }
	private String n_hremployeeid_eq;//[员工标识]
	public void setN_hremployeeid_eq(String n_hremployeeid_eq) {
        this.n_hremployeeid_eq = n_hremployeeid_eq;
        if(!ObjectUtils.isEmpty(this.n_hremployeeid_eq)){
            this.getSearchCond().eq("hremployeeid", n_hremployeeid_eq);
        }
    }
	private String n_hremployeename_eq;//[员工姓名]
	public void setN_hremployeename_eq(String n_hremployeename_eq) {
        this.n_hremployeename_eq = n_hremployeename_eq;
        if(!ObjectUtils.isEmpty(this.n_hremployeename_eq)){
            this.getSearchCond().eq("hremployeename", n_hremployeename_eq);
        }
    }
	private String n_hremployeename_like;//[员工姓名]
	public void setN_hremployeename_like(String n_hremployeename_like) {
        this.n_hremployeename_like = n_hremployeename_like;
        if(!ObjectUtils.isEmpty(this.n_hremployeename_like)){
            this.getSearchCond().like("hremployeename", n_hremployeename_like);
        }
    }
	private String n_hrorganizationid2_eq;//[新组织ID]
	public void setN_hrorganizationid2_eq(String n_hrorganizationid2_eq) {
        this.n_hrorganizationid2_eq = n_hrorganizationid2_eq;
        if(!ObjectUtils.isEmpty(this.n_hrorganizationid2_eq)){
            this.getSearchCond().eq("hrorganizationid2", n_hrorganizationid2_eq);
        }
    }
	private String n_hrorganizationname2_eq;//[新部门]
	public void setN_hrorganizationname2_eq(String n_hrorganizationname2_eq) {
        this.n_hrorganizationname2_eq = n_hrorganizationname2_eq;
        if(!ObjectUtils.isEmpty(this.n_hrorganizationname2_eq)){
            this.getSearchCond().eq("hrorganizationname2", n_hrorganizationname2_eq);
        }
    }
	private String n_hrorganizationname2_like;//[新部门]
	public void setN_hrorganizationname2_like(String n_hrorganizationname2_like) {
        this.n_hrorganizationname2_like = n_hrorganizationname2_like;
        if(!ObjectUtils.isEmpty(this.n_hrorganizationname2_like)){
            this.getSearchCond().like("hrorganizationname2", n_hrorganizationname2_like);
        }
    }
	private String n_hrpostid2_eq;//[新职位标识]
	public void setN_hrpostid2_eq(String n_hrpostid2_eq) {
        this.n_hrpostid2_eq = n_hrpostid2_eq;
        if(!ObjectUtils.isEmpty(this.n_hrpostid2_eq)){
            this.getSearchCond().eq("hrpostid2", n_hrpostid2_eq);
        }
    }
	private String n_hrpostname2_eq;//[新职位]
	public void setN_hrpostname2_eq(String n_hrpostname2_eq) {
        this.n_hrpostname2_eq = n_hrpostname2_eq;
        if(!ObjectUtils.isEmpty(this.n_hrpostname2_eq)){
            this.getSearchCond().eq("hrpostname2", n_hrpostname2_eq);
        }
    }
	private String n_hrpostname2_like;//[新职位]
	public void setN_hrpostname2_like(String n_hrpostname2_like) {
        this.n_hrpostname2_like = n_hrpostname2_like;
        if(!ObjectUtils.isEmpty(this.n_hrpostname2_like)){
            this.getSearchCond().like("hrpostname2", n_hrpostname2_like);
        }
    }
	private String n_wfstep_eq;//[工作流步骤]
	public void setN_wfstep_eq(String n_wfstep_eq) {
        this.n_wfstep_eq = n_wfstep_eq;
        if(!ObjectUtils.isEmpty(this.n_wfstep_eq)){
            this.getSearchCond().eq("wfstep", n_wfstep_eq);
        }
    }
	private String n_checkstatus_eq;//[工作流业务状态]
	public void setN_checkstatus_eq(String n_checkstatus_eq) {
        this.n_checkstatus_eq = n_checkstatus_eq;
        if(!ObjectUtils.isEmpty(this.n_checkstatus_eq)){
            this.getSearchCond().eq("checkstatus", n_checkstatus_eq);
        }
    }

    /**
	 * 启用快速搜索
	 */
	public void setQuery(String query)
	{
		 this.query=query;
		 if(!StringUtils.isEmpty(query)){
            this.getSearchCond().and( wrapper ->
                     wrapper.like("hrtransferapplyname", query)   
            );
		 }
	}
}



